<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'bixo',

    /*
     * Package.
     */
    'package'   => 'deals',

    /*
     * Modules.
     */
    'modules'   => ['deal'],

    
    'deal'       => [
        'model' => [
            'model'                 => \Bixo\Deals\Models\Deal::class,
            'table'                 => 'deals',
            'presenter'             => \Bixo\Deals\Repositories\Presenter\DealPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'buyer_id',  'buyer_type',  'seller_id',  'seller_type',  'category_id',  'listing_id',  'country_id',  'state_id',  'location_id',  'sublocation_id',  'property_id',  'ref',  'type',  'bua',  'plot',  'premises_no',  'status',  'price',  'payment_mode',  'deposit',  'deposit_percent',  'commission_buyer',  'commission_buyer_percent',  'commission_seller',  'commission_seller_percent',  'deal_date',  'deal_est_date',  'unit_no',  'subject_of_tenancy',  'period_of_tenancy',  'terms_of_payment',  'shared',  'agency_name',  'representing',  'agents_name',  'agents_contact_no',  'agent1',  'commission1_prs',  'commission1_amt',  'agent2',  'commission2_prs',  'commission2_amt',  'agent3',  'commission3_prs',  'commission3_amt',  'agency_commission_prs',  'agency_commission_amt',  'conveyance_fee',  'prev_notes',  'beds',  'atype',  'street',  'floor',  'property_usage',  'tenancy',  'notes',  'documents',  'pdf_documents',  'deals_area',  'created_by',  'additional_terms',  'updated_at',  'deleted_at',  'created_at'],
            'translatables'         => [],
            'upload_folder'         => 'deals/deal',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Bixo',
            'package'   => 'Deals',
            'module'    => 'Deal',
        ],

    ],
];
