<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateDealsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: deals
         */
        Schema::create('deals', function ($table) {
            $table->increments('id');
            $table->integer('buyer_id')->nullable();
            $table->enum('buyer_type', ['individual','company'])->nullable();
            $table->integer('seller_id')->nullable();
            $table->enum('seller_type', ['individual','company'])->nullable();
            $table->integer('category_id')->nullable();
            $table->integer('listing_id')->nullable();
            $table->integer('country_id')->nullable();
            $table->integer('state_id')->nullable();
            $table->integer('location_id')->nullable();
            $table->integer('sublocation_id')->nullable();
            $table->integer('property_id')->nullable();
            $table->string('ref', 20)->nullable();
            $table->enum('type', ['Rental','Sales','Not Specified'])->nullable();
            $table->integer('bua')->nullable();
            $table->string('plot', 100)->nullable();
            $table->string('premises_no', 100)->nullable();
            $table->enum('status', ['Stage 1','Stage 2','Closed','Completed'])->nullable();
            $table->decimal('price', 10,2)->nullable();
            $table->string('payment_mode', 100)->nullable();
            $table->decimal('deposit', 10,2)->nullable();
            $table->string('deposit_percent', 100)->nullable();
            $table->decimal('commission_buyer', 10,2)->nullable();
            $table->decimal('commission_buyer_percent', 4,2)->nullable();
            $table->integer('commission_seller')->nullable();
            $table->integer('commission_seller_percent')->nullable();
            $table->date('deal_date')->nullable();
            $table->date('deal_est_date')->nullable();
            $table->string('unit_no', 100)->nullable();
            $table->string('subject_of_tenancy', 255)->nullable();
            $table->string('period_of_tenancy', 255)->nullable();
            $table->string('terms_of_payment', 255)->nullable();
            $table->enum('shared', ['shared','direct'])->nullable();
            $table->string('agency_name', 255)->nullable();
            $table->enum('representing', ['Seller','Buyer'])->nullable();
            $table->string('agents_name', 255)->nullable();
            $table->integer('agents_contact_no')->nullable();
            $table->string('agent1', 100)->nullable();
            $table->string('commission1_prs', 100)->nullable();
            $table->string('commission1_amt', 100)->nullable();
            $table->string('agent2', 100)->nullable();
            $table->string('commission2_prs', 100)->nullable();
            $table->string('commission2_amt', 255)->nullable();
            $table->string('agent3', 100)->nullable();
            $table->string('commission3_prs', 255)->nullable();
            $table->string('commission3_amt', 255)->nullable();
            $table->string('agency_commission_prs', 255)->nullable();
            $table->string('agency_commission_amt', 255)->nullable();
            $table->decimal('conveyance_fee', 10,2)->nullable();
            $table->string('prev_notes', 100)->nullable();
            $table->integer('beds')->nullable();
            $table->string('atype', 100)->nullable();
            $table->string('street', 100)->nullable();
            $table->string('floor', 100)->nullable();
            $table->enum('property_usage', ['Industrial','Commercial','Residential'])->nullable();
            $table->date('tenancy')->nullable();
            $table->text('notes')->nullable();
            $table->text('documents')->nullable();
            $table->text('pdf_documents')->nullable();
            $table->enum('deals_area', ['UAE','International'])->nullable();
            $table->integer('created_by')->nullable();
            $table->text('additional_terms')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('deals');
    }
}
