Lavalite package that provides deals management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `bixo/deals`.

    "bixo/deals": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Bixo\Deals\Providers\DealsServiceProvider::class,

And also add it to alias

    'Deals'  => Bixo\Deals\Facades\Deals::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Bixo\\DealsTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Bixo\Deals\Providers\DealsServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Bixo\Deals\Providers\DealsServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Bixo\Deals\Providers\DealsServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/deals/{modulename}

**User**

    http://path-to-route-folder/user/deals/{modulename}

**Public**

    http://path-to-route-folder/deals


### API endpoints

**List**

    http://path-to-route-folder/api/user/deals/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/deals/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/deals/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/deals/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/deals/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/deals/{modulename}/{slug}
    METHOD: GET