<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for deal in deals package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  deal module in deals package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Deal',
    'names'         => 'Deals',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Deals',
        'sub'   => 'Deals',
        'list'  => 'List of deals',
        'edit'  => 'Edit deal',
        'create'    => 'Create new deal'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'buyer_type'          => ['individual','company'],
            'seller_type'         => ['individual','company'],
            'type'                => ['Rental','Sales','Not Specified'],
            'status'              => ['Stage 1','Stage 2','Closed','Completed'],
            'shared'              => ['shared','direct'],
            'representing'        => ['Seller','Buyer'],
            'property_usage'      => ['Industrial','Commercial','Residential'],
            'deals_area'          => ['UAE','International'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'buyer_id'                   => 'Please enter buyer id',
        'buyer_type'                 => 'Please select buyer type',
        'seller_id'                  => 'Please enter seller id',
        'seller_type'                => 'Please select seller type',
        'category_id'                => 'Please enter category id',
        'listing_id'                 => 'Please enter listing id',
        'country_id'                 => 'Please enter country id',
        'state_id'                   => 'Please enter state id',
        'location_id'                => 'Please enter location id',
        'sublocation_id'             => 'Please enter sublocation id',
        'property_id'                => 'Please enter property id',
        'ref'                        => 'Please enter ref',
        'type'                       => 'Please select type',
        'bua'                        => 'Please enter bua',
        'plot'                       => 'Please enter plot',
        'premises_no'                => 'Please enter premises no',
        'status'                     => 'Please select status',
        'price'                      => 'Please enter price',
        'payment_mode'               => 'Please enter payment mode',
        'deposit'                    => 'Please enter deposit',
        'deposit_percent'            => 'Please enter deposit percent',
        'commission_buyer'           => 'Please enter commission buyer',
        'commission_buyer_percent'        => 'Please enter commission buyer percent',
        'commission_seller'          => 'Please enter commission seller',
        'commission_seller_percent'        => 'Please enter commission seller percent',
        'deal_date'                  => 'Please select deal date',
        'deal_est_date'              => 'Please select deal est date',
        'unit_no'                    => 'Please enter unit no',
        'subject_of_tenancy'         => 'Please enter subject of tenancy',
        'period_of_tenancy'          => 'Please enter period of tenancy',
        'terms_of_payment'           => 'Please enter terms of payment',
        'shared'                     => 'Please select shared',
        'agency_name'                => 'Please enter agency name',
        'representing'               => 'Please select representing',
        'agents_name'                => 'Please enter agents name',
        'agents_contact_no'          => 'Please enter agents contact no',
        'agent1'                     => 'Please enter agent1',
        'commission1_prs'            => 'Please enter commission1 prs',
        'commission1_amt'            => 'Please enter commission1 amt',
        'agent2'                     => 'Please enter agent2',
        'commission2_prs'            => 'Please enter commission2 prs',
        'commission2_amt'            => 'Please enter commission2 amt',
        'agent3'                     => 'Please enter agent3',
        'commission3_prs'            => 'Please enter commission3 prs',
        'commission3_amt'            => 'Please enter commission3 amt',
        'agency_commission_prs'        => 'Please enter agency commission prs',
        'agency_commission_amt'        => 'Please enter agency commission amt',
        'conveyance_fee'             => 'Please enter conveyance fee',
        'prev_notes'                 => 'Please enter prev notes',
        'beds'                       => 'Please enter beds',
        'atype'                      => 'Please enter atype',
        'street'                     => 'Please enter street',
        'floor'                      => 'Please enter floor',
        'property_usage'             => 'Please select property usage',
        'tenancy'                    => 'Please select tenancy',
        'notes'                      => 'Please enter notes',
        'documents'                  => 'Please enter documents',
        'pdf_documents'              => 'Please enter pdf documents',
        'deals_area'                 => 'Please select deals area',
        'created_by'                 => 'Please enter created by',
        'additional_terms'           => 'Please enter additional terms',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
        'created_at'                 => 'Please select created at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'buyer_id'                   => 'Buyer id',
        'buyer_type'                 => 'Buyer type',
        'seller_id'                  => 'Seller id',
        'seller_type'                => 'Seller type',
        'category_id'                => 'Category id',
        'listing_id'                 => 'Listing id',
        'country_id'                 => 'Country id',
        'state_id'                   => 'State id',
        'location_id'                => 'Location id',
        'sublocation_id'             => 'Sublocation id',
        'property_id'                => 'Property id',
        'ref'                        => 'Ref',
        'type'                       => 'Type',
        'bua'                        => 'Bua',
        'plot'                       => 'Plot',
        'premises_no'                => 'Premises no',
        'status'                     => 'Status',
        'price'                      => 'Price',
        'payment_mode'               => 'Payment mode',
        'deposit'                    => 'Deposit',
        'deposit_percent'            => 'Deposit percent',
        'commission_buyer'           => 'Commission buyer',
        'commission_buyer_percent'        => 'Commission buyer percent',
        'commission_seller'          => 'Commission seller',
        'commission_seller_percent'        => 'Commission seller percent',
        'deal_date'                  => 'Deal date',
        'deal_est_date'              => 'Deal est date',
        'unit_no'                    => 'Unit no',
        'subject_of_tenancy'         => 'Subject of tenancy',
        'period_of_tenancy'          => 'Period of tenancy',
        'terms_of_payment'           => 'Terms of payment',
        'shared'                     => 'Shared',
        'agency_name'                => 'Agency name',
        'representing'               => 'Representing',
        'agents_name'                => 'Agents name',
        'agents_contact_no'          => 'Agents contact no',
        'agent1'                     => 'Agent1',
        'commission1_prs'            => 'Commission1 prs',
        'commission1_amt'            => 'Commission1 amt',
        'agent2'                     => 'Agent2',
        'commission2_prs'            => 'Commission2 prs',
        'commission2_amt'            => 'Commission2 amt',
        'agent3'                     => 'Agent3',
        'commission3_prs'            => 'Commission3 prs',
        'commission3_amt'            => 'Commission3 amt',
        'agency_commission_prs'        => 'Agency commission prs',
        'agency_commission_amt'        => 'Agency commission amt',
        'conveyance_fee'             => 'Conveyance fee',
        'prev_notes'                 => 'Prev notes',
        'beds'                       => 'Beds',
        'atype'                      => 'Atype',
        'street'                     => 'Street',
        'floor'                      => 'Floor',
        'property_usage'             => 'Property usage',
        'tenancy'                    => 'Tenancy',
        'notes'                      => 'Notes',
        'documents'                  => 'Documents',
        'pdf_documents'              => 'Pdf documents',
        'deals_area'                 => 'Deals area',
        'created_by'                 => 'Created by',
        'additional_terms'           => 'Additional terms',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
        'created_at'                 => 'Created at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'buyer_id'                   => ['name' => 'Buyer id', 'data-column' => 1, 'checked'],
        'buyer_type'                 => ['name' => 'Buyer type', 'data-column' => 2, 'checked'],
        'seller_id'                  => ['name' => 'Seller id', 'data-column' => 3, 'checked'],
        'seller_type'                => ['name' => 'Seller type', 'data-column' => 4, 'checked'],
        'category_id'                => ['name' => 'Category id', 'data-column' => 5, 'checked'],
        'listing_id'                 => ['name' => 'Listing id', 'data-column' => 6, 'checked'],
        'country_id'                 => ['name' => 'Country id', 'data-column' => 7, 'checked'],
        'state_id'                   => ['name' => 'State id', 'data-column' => 8, 'checked'],
        'location_id'                => ['name' => 'Location id', 'data-column' => 9, 'checked'],
        'sublocation_id'             => ['name' => 'Sublocation id', 'data-column' => 10, 'checked'],
        'property_id'                => ['name' => 'Property id', 'data-column' => 11, 'checked'],
        'ref'                        => ['name' => 'Ref', 'data-column' => 12, 'checked'],
        'type'                       => ['name' => 'Type', 'data-column' => 13, 'checked'],
        'bua'                        => ['name' => 'Bua', 'data-column' => 14, 'checked'],
        'plot'                       => ['name' => 'Plot', 'data-column' => 15, 'checked'],
        'premises_no'                => ['name' => 'Premises no', 'data-column' => 16, 'checked'],
        'price'                      => ['name' => 'Price', 'data-column' => 17, 'checked'],
        'payment_mode'               => ['name' => 'Payment mode', 'data-column' => 18, 'checked'],
        'deposit'                    => ['name' => 'Deposit', 'data-column' => 19, 'checked'],
        'deposit_percent'            => ['name' => 'Deposit percent', 'data-column' => 20, 'checked'],
        'commission_buyer'           => ['name' => 'Commission buyer', 'data-column' => 21, 'checked'],
        'commission_buyer_percent'        => ['name' => 'Commission buyer percent', 'data-column' => 22, 'checked'],
        'commission_seller'          => ['name' => 'Commission seller', 'data-column' => 23, 'checked'],
        'commission_seller_percent'        => ['name' => 'Commission seller percent', 'data-column' => 24, 'checked'],
        'deal_date'                  => ['name' => 'Deal date', 'data-column' => 25, 'checked'],
        'deal_est_date'              => ['name' => 'Deal est date', 'data-column' => 26, 'checked'],
        'unit_no'                    => ['name' => 'Unit no', 'data-column' => 27, 'checked'],
        'subject_of_tenancy'         => ['name' => 'Subject of tenancy', 'data-column' => 28, 'checked'],
        'period_of_tenancy'          => ['name' => 'Period of tenancy', 'data-column' => 29, 'checked'],
        'terms_of_payment'           => ['name' => 'Terms of payment', 'data-column' => 30, 'checked'],
        'shared'                     => ['name' => 'Shared', 'data-column' => 31, 'checked'],
        'agency_name'                => ['name' => 'Agency name', 'data-column' => 32, 'checked'],
        'representing'               => ['name' => 'Representing', 'data-column' => 33, 'checked'],
        'agents_name'                => ['name' => 'Agents name', 'data-column' => 34, 'checked'],
        'agents_contact_no'          => ['name' => 'Agents contact no', 'data-column' => 35, 'checked'],
        'agent1'                     => ['name' => 'Agent1', 'data-column' => 36, 'checked'],
        'commission1_prs'            => ['name' => 'Commission1 prs', 'data-column' => 37, 'checked'],
        'commission1_amt'            => ['name' => 'Commission1 amt', 'data-column' => 38, 'checked'],
        'agent2'                     => ['name' => 'Agent2', 'data-column' => 39, 'checked'],
        'commission2_prs'            => ['name' => 'Commission2 prs', 'data-column' => 40, 'checked'],
        'commission2_amt'            => ['name' => 'Commission2 amt', 'data-column' => 41, 'checked'],
        'agent3'                     => ['name' => 'Agent3', 'data-column' => 42, 'checked'],
        'commission3_prs'            => ['name' => 'Commission3 prs', 'data-column' => 43, 'checked'],
        'commission3_amt'            => ['name' => 'Commission3 amt', 'data-column' => 44, 'checked'],
        'agency_commission_prs'        => ['name' => 'Agency commission prs', 'data-column' => 45, 'checked'],
        'agency_commission_amt'        => ['name' => 'Agency commission amt', 'data-column' => 46, 'checked'],
        'conveyance_fee'             => ['name' => 'Conveyance fee', 'data-column' => 47, 'checked'],
        'prev_notes'                 => ['name' => 'Prev notes', 'data-column' => 48, 'checked'],
        'beds'                       => ['name' => 'Beds', 'data-column' => 49, 'checked'],
        'atype'                      => ['name' => 'Atype', 'data-column' => 50, 'checked'],
        'street'                     => ['name' => 'Street', 'data-column' => 51, 'checked'],
        'floor'                      => ['name' => 'Floor', 'data-column' => 52, 'checked'],
        'property_usage'             => ['name' => 'Property usage', 'data-column' => 53, 'checked'],
        'tenancy'                    => ['name' => 'Tenancy', 'data-column' => 54, 'checked'],
        'notes'                      => ['name' => 'Notes', 'data-column' => 55, 'checked'],
        'documents'                  => ['name' => 'Documents', 'data-column' => 56, 'checked'],
        'pdf_documents'              => ['name' => 'Pdf documents', 'data-column' => 57, 'checked'],
        'deals_area'                 => ['name' => 'Deals area', 'data-column' => 58, 'checked'],
        'created_by'                 => ['name' => 'Created by', 'data-column' => 59, 'checked'],
        'additional_terms'           => ['name' => 'Additional terms', 'data-column' => 60, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Deals',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
