<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            <i class="fa fa-file-text-o"></i> {!! trans('deals::deal.name') !!} <small> {!! trans('app.manage') !!} {!! trans('deals::deal.names') !!}</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{!! guard_url('/') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
            <li class="active">{!! trans('deals::deal.names') !!}</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
    <div id='deals-deal-entry'>
    </div>
        <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
                    <li class="{!!(request('status') == '')?'active':'';!!}"><a href="{!!guard_url('deals/deal')!!}">{!! trans('deals::deal.names') !!}</a></li>
                    <li class="{!!(request('status') == 'archive')?'active':'';!!}"><a href="{!!guard_url('deals/deal?status=archive')!!}">Archived</a></li>
                    <li class="{!!(request('status') == 'deleted')?'active':'';!!}"><a href="{!!guard_url('deals/deal?status=deleted')!!}">Trashed</a></li>
                    <li class="pull-right">
                    <span class="actions">
                    <!--   
                    <a  class="btn btn-xs btn-purple"  href="{!!guard_url('deals/deal/reports')!!}"><i class="fa fa-bar-chart" aria-hidden="true"></i><span class="hidden-sm hidden-xs"> Reports</span></a>
                    @include('deals::admin.deal.partial.actions')
                    -->
                    @include('deals::admin.deal.partial.filter')
                    @include('deals::admin.deal.partial.column')
                    </span> 
                </li>
            </ul>
            <div class="tab-content">
                <table id="deals-deal-list" class="table table-striped data-table">
                    <thead class="list_head">
                        <th style="text-align: right;" width="1%"><a class="btn-reset-filter" href="#Reset" style="display:none; color:#fff;"><i class="fa fa-filter"></i></a> <input type="checkbox" id="deals-deal-check-all"></th>
                        <th data-field="buyer_id">{!! trans('deals::deal.label.buyer_id')!!}</th>
                    <th data-field="buyer_type">{!! trans('deals::deal.label.buyer_type')!!}</th>
                    <th data-field="seller_id">{!! trans('deals::deal.label.seller_id')!!}</th>
                    <th data-field="seller_type">{!! trans('deals::deal.label.seller_type')!!}</th>
                    <th data-field="category_id">{!! trans('deals::deal.label.category_id')!!}</th>
                    <th data-field="listing_id">{!! trans('deals::deal.label.listing_id')!!}</th>
                    <th data-field="country_id">{!! trans('deals::deal.label.country_id')!!}</th>
                    <th data-field="state_id">{!! trans('deals::deal.label.state_id')!!}</th>
                    <th data-field="location_id">{!! trans('deals::deal.label.location_id')!!}</th>
                    <th data-field="sublocation_id">{!! trans('deals::deal.label.sublocation_id')!!}</th>
                    <th data-field="property_id">{!! trans('deals::deal.label.property_id')!!}</th>
                    <th data-field="ref">{!! trans('deals::deal.label.ref')!!}</th>
                    <th data-field="type">{!! trans('deals::deal.label.type')!!}</th>
                    <th data-field="bua">{!! trans('deals::deal.label.bua')!!}</th>
                    <th data-field="plot">{!! trans('deals::deal.label.plot')!!}</th>
                    <th data-field="premises_no">{!! trans('deals::deal.label.premises_no')!!}</th>
                    <th data-field="price">{!! trans('deals::deal.label.price')!!}</th>
                    <th data-field="payment_mode">{!! trans('deals::deal.label.payment_mode')!!}</th>
                    <th data-field="deposit">{!! trans('deals::deal.label.deposit')!!}</th>
                    <th data-field="deposit_percent">{!! trans('deals::deal.label.deposit_percent')!!}</th>
                    <th data-field="commission_buyer">{!! trans('deals::deal.label.commission_buyer')!!}</th>
                    <th data-field="commission_buyer_percent">{!! trans('deals::deal.label.commission_buyer_percent')!!}</th>
                    <th data-field="commission_seller">{!! trans('deals::deal.label.commission_seller')!!}</th>
                    <th data-field="commission_seller_percent">{!! trans('deals::deal.label.commission_seller_percent')!!}</th>
                    <th data-field="deal_date">{!! trans('deals::deal.label.deal_date')!!}</th>
                    <th data-field="deal_est_date">{!! trans('deals::deal.label.deal_est_date')!!}</th>
                    <th data-field="unit_no">{!! trans('deals::deal.label.unit_no')!!}</th>
                    <th data-field="subject_of_tenancy">{!! trans('deals::deal.label.subject_of_tenancy')!!}</th>
                    <th data-field="period_of_tenancy">{!! trans('deals::deal.label.period_of_tenancy')!!}</th>
                    <th data-field="terms_of_payment">{!! trans('deals::deal.label.terms_of_payment')!!}</th>
                    <th data-field="shared">{!! trans('deals::deal.label.shared')!!}</th>
                    <th data-field="agency_name">{!! trans('deals::deal.label.agency_name')!!}</th>
                    <th data-field="representing">{!! trans('deals::deal.label.representing')!!}</th>
                    <th data-field="agents_name">{!! trans('deals::deal.label.agents_name')!!}</th>
                    <th data-field="agents_contact_no">{!! trans('deals::deal.label.agents_contact_no')!!}</th>
                    <th data-field="agent1">{!! trans('deals::deal.label.agent1')!!}</th>
                    <th data-field="commission1_prs">{!! trans('deals::deal.label.commission1_prs')!!}</th>
                    <th data-field="commission1_amt">{!! trans('deals::deal.label.commission1_amt')!!}</th>
                    <th data-field="agent2">{!! trans('deals::deal.label.agent2')!!}</th>
                    <th data-field="commission2_prs">{!! trans('deals::deal.label.commission2_prs')!!}</th>
                    <th data-field="commission2_amt">{!! trans('deals::deal.label.commission2_amt')!!}</th>
                    <th data-field="agent3">{!! trans('deals::deal.label.agent3')!!}</th>
                    <th data-field="commission3_prs">{!! trans('deals::deal.label.commission3_prs')!!}</th>
                    <th data-field="commission3_amt">{!! trans('deals::deal.label.commission3_amt')!!}</th>
                    <th data-field="agency_commission_prs">{!! trans('deals::deal.label.agency_commission_prs')!!}</th>
                    <th data-field="agency_commission_amt">{!! trans('deals::deal.label.agency_commission_amt')!!}</th>
                    <th data-field="conveyance_fee">{!! trans('deals::deal.label.conveyance_fee')!!}</th>
                    <th data-field="prev_notes">{!! trans('deals::deal.label.prev_notes')!!}</th>
                    <th data-field="beds">{!! trans('deals::deal.label.beds')!!}</th>
                    <th data-field="atype">{!! trans('deals::deal.label.atype')!!}</th>
                    <th data-field="street">{!! trans('deals::deal.label.street')!!}</th>
                    <th data-field="floor">{!! trans('deals::deal.label.floor')!!}</th>
                    <th data-field="property_usage">{!! trans('deals::deal.label.property_usage')!!}</th>
                    <th data-field="tenancy">{!! trans('deals::deal.label.tenancy')!!}</th>
                    <th data-field="notes">{!! trans('deals::deal.label.notes')!!}</th>
                    <th data-field="documents">{!! trans('deals::deal.label.documents')!!}</th>
                    <th data-field="pdf_documents">{!! trans('deals::deal.label.pdf_documents')!!}</th>
                    <th data-field="deals_area">{!! trans('deals::deal.label.deals_area')!!}</th>
                    <th data-field="created_by">{!! trans('deals::deal.label.created_by')!!}</th>
                    <th data-field="additional_terms">{!! trans('deals::deal.label.additional_terms')!!}</th>
                    </thead>
                </table>
            </div>
        </div>
    </section>
</div>

<script type="text/javascript">

var oTable;
var oSearch;
$(document).ready(function(){
    app.load('#deals-deal-entry', '{!!guard_url('deals/deal/0')!!}');
    oTable = $('#deals-deal-list').dataTable( {
        'columnDefs': [{
            'targets': 0,
            'searchable': false,
            'orderable': false,
            'className': 'dt-body-center',
            'render': function (data, type, full, meta){
                return '<input type="checkbox" name="id[]" value="' + data.id + '">';
            }
        }], 
        
        "responsive" : true,
        "order": [[1, 'asc']],
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! guard_url('deals/deal') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $.each(oSearch, function(key, val){
                aoData.push( { 'name' : key, 'value' : val } );
            });
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'id'},
            {data :'buyer_id'},
            {data :'buyer_type'},
            {data :'seller_id'},
            {data :'seller_type'},
            {data :'category_id'},
            {data :'listing_id'},
            {data :'country_id'},
            {data :'state_id'},
            {data :'location_id'},
            {data :'sublocation_id'},
            {data :'property_id'},
            {data :'ref'},
            {data :'type'},
            {data :'bua'},
            {data :'plot'},
            {data :'premises_no'},
            {data :'price'},
            {data :'payment_mode'},
            {data :'deposit'},
            {data :'deposit_percent'},
            {data :'commission_buyer'},
            {data :'commission_buyer_percent'},
            {data :'commission_seller'},
            {data :'commission_seller_percent'},
            {data :'deal_date'},
            {data :'deal_est_date'},
            {data :'unit_no'},
            {data :'subject_of_tenancy'},
            {data :'period_of_tenancy'},
            {data :'terms_of_payment'},
            {data :'shared'},
            {data :'agency_name'},
            {data :'representing'},
            {data :'agents_name'},
            {data :'agents_contact_no'},
            {data :'agent1'},
            {data :'commission1_prs'},
            {data :'commission1_amt'},
            {data :'agent2'},
            {data :'commission2_prs'},
            {data :'commission2_amt'},
            {data :'agent3'},
            {data :'commission3_prs'},
            {data :'commission3_amt'},
            {data :'agency_commission_prs'},
            {data :'agency_commission_amt'},
            {data :'conveyance_fee'},
            {data :'prev_notes'},
            {data :'beds'},
            {data :'atype'},
            {data :'street'},
            {data :'floor'},
            {data :'property_usage'},
            {data :'tenancy'},
            {data :'notes'},
            {data :'documents'},
            {data :'pdf_documents'},
            {data :'deals_area'},
            {data :'created_by'},
            {data :'additional_terms'},
        ],
        "pageLength": 25
    });

    $('#deals-deal-list tbody').on( 'click', 'tr', function () {
        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');
        var d = $('#deals-deal-list').DataTable().row( this ).data();
        $('#deals-deal-entry').load('{!!guard_url('deals/deal')!!}' + '/' + d.id);
    });

    $('#deals-deal-list tbody').on( 'change', "input[name^='id[]']", function (e) {
        e.preventDefault();

        aIds = [];
        $(".child").remove();
        $(this).parent().parent().removeClass('parent'); 
        $("input[name^='id[]']:checked").each(function(){
            aIds.push($(this).val());
        });
    });

    $("#deals-deal-check-all").on( 'change', function (e) {
        e.preventDefault();
        aIds = [];
        if ($(this).prop('checked')) {
            $("input[name^='id[]']").each(function(){
                $(this).prop('checked',true);
                aIds.push($(this).val());
            });

            return;
        }else{
            $("input[name^='id[]']").prop('checked',false);
        }
        
    });


    $(".reset_filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        $('#form-search input,#form-search select').each( function () {
          oTable.search( this.value ).draw();
        });
        $('#deals-deal-list .reset_filter').css('display', 'none');

    });


    // Add event listener for opening and closing details
    $('#deals-deal-list tbody').on('click', 'td.details-control', function (e) {
        e.preventDefault();
        var tr = $(this).closest('tr');
        var row = table.row( tr );
 
        if ( row.child.isShown() ) {
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else {
            // Open this row
            row.child( format(row.data()) ).show();
            tr.addClass('shown');
        }
    });

});
</script>