<?php

namespace Bixo\Deals\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class DealTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Deals\Models\Deal $deal)
    {
        return [
            'id'                => $deal->getRouteKey(),
            'key'               => [
                'public'    => $deal->getPublicKey(),
                'route'     => $deal->getRouteKey(),
            ], 
            'buyer_id'          => $deal->buyer_id,
            'buyer_type'        => $deal->buyer_type,
            'seller_id'         => $deal->seller_id,
            'seller_type'       => $deal->seller_type,
            'category_id'       => $deal->category_id,
            'listing_id'        => $deal->listing_id,
            'country_id'        => $deal->country_id,
            'state_id'          => $deal->state_id,
            'location_id'       => $deal->location_id,
            'sublocation_id'    => $deal->sublocation_id,
            'property_id'       => $deal->property_id,
            'ref'               => $deal->ref,
            'type'              => $deal->type,
            'bua'               => $deal->bua,
            'plot'              => $deal->plot,
            'premises_no'       => $deal->premises_no,
            'price'             => $deal->price,
            'payment_mode'      => $deal->payment_mode,
            'deposit'           => $deal->deposit,
            'deposit_percent'   => $deal->deposit_percent,
            'commission_buyer'  => $deal->commission_buyer,
            'commission_buyer_percent' => $deal->commission_buyer_percent,
            'commission_seller' => $deal->commission_seller,
            'commission_seller_percent' => $deal->commission_seller_percent,
            'deal_date'         => $deal->deal_date,
            'deal_est_date'     => $deal->deal_est_date,
            'unit_no'           => $deal->unit_no,
            'subject_of_tenancy' => $deal->subject_of_tenancy,
            'period_of_tenancy' => $deal->period_of_tenancy,
            'terms_of_payment'  => $deal->terms_of_payment,
            'shared'            => $deal->shared,
            'agency_name'       => $deal->agency_name,
            'representing'      => $deal->representing,
            'agents_name'       => $deal->agents_name,
            'agents_contact_no' => $deal->agents_contact_no,
            'agent1'            => $deal->agent1,
            'commission1_prs'   => $deal->commission1_prs,
            'commission1_amt'   => $deal->commission1_amt,
            'agent2'            => $deal->agent2,
            'commission2_prs'   => $deal->commission2_prs,
            'commission2_amt'   => $deal->commission2_amt,
            'agent3'            => $deal->agent3,
            'commission3_prs'   => $deal->commission3_prs,
            'commission3_amt'   => $deal->commission3_amt,
            'agency_commission_prs' => $deal->agency_commission_prs,
            'agency_commission_amt' => $deal->agency_commission_amt,
            'conveyance_fee'    => $deal->conveyance_fee,
            'prev_notes'        => $deal->prev_notes,
            'beds'              => $deal->beds,
            'atype'             => $deal->atype,
            'street'            => $deal->street,
            'floor'             => $deal->floor,
            'property_usage'    => $deal->property_usage,
            'tenancy'           => $deal->tenancy,
            'notes'             => $deal->notes,
            'documents'         => $deal->documents,
            'pdf_documents'     => $deal->pdf_documents,
            'deals_area'        => $deal->deals_area,
            'created_by'        => $deal->created_by,
            'additional_terms'  => $deal->additional_terms,
            'deleted_at'        => $deal->deleted_at,
            'url'               => [
                'public'    => trans_url('deals/'.$deal->getPublicKey()),
                'user'      => guard_url('deals/deal/'.$deal->getRouteKey()),
            ], 
            'status'            => trans('app.'.$deal->status),
            'created_at'        => format_date($deal->created_at),
            'updated_at'        => format_date($deal->updated_at),
        ];
    }
}